function Chaos_p=GenerateChaos(max_it)
% [~,dim]=size(X);
Chaos_p=zeros(14,max_it);
Chaos=zeros(1,max_it);

for ChaosSystemName_p=1:14;

if ChaosSystemName_p==1;%Chebyshevmap
    z1=0.152;
    a=4.85;
    Chaos(1)=z1;
    for j=1:max_it;
     Chaos(j+1)=cos(a*cos(Chaos(j))^(-1));
     if Chaos(j+1)<0;
         Chaos(j+1)=abs(Chaos(j+1));
     else Chaos(j+1)=Chaos(j+1);
     end
    end
Chaos_p(ChaosSystemName_p,:)=Chaos(2:max_it+1);
end

if ChaosSystemName_p==2;%Chebyshevmap
    z1=0.152;
    a=4.95;
    Chaos(1)=z1;
    for j=1:max_it;
     Chaos(j+1)=cos(a*cos(Chaos(j))^(-1));
     if Chaos(j+1)<0;
         Chaos(j+1)=abs(Chaos(j+1));
     else Chaos(j+1)=Chaos(j+1);
     end
    end
Chaos_p(ChaosSystemName_p,:)=Chaos(2:max_it+1);
end

if ChaosSystemName_p==3;%Chebyshevmap
    z1=0.152;
    a=5;
    Chaos(1)=z1;
    for j=1:max_it;
     Chaos(j+1)=cos(a*cos(Chaos(j))^(-1));
     if Chaos(j+1)<0;
         Chaos(j+1)=abs(Chaos(j+1));
     else Chaos(j+1)=Chaos(j+1);
     end
    end
Chaos_p(ChaosSystemName_p,:)=Chaos(2:max_it+1);
end

if ChaosSystemName_p==4;%Chebyshevmap
    z1=0.152;
    a=5.2;
    Chaos(1)=z1;
    for j=1:max_it;
     Chaos(j+1)=cos(a*cos(Chaos(j))^(-1));
     if Chaos(j+1)<0;
         Chaos(j+1)=abs(Chaos(j+1));
     else Chaos(j+1)=Chaos(j+1);
     end
    end
Chaos_p(ChaosSystemName_p,:)=Chaos(2:max_it+1);
end

if ChaosSystemName_p==5;%Chebyshevmap
    z1=0.152;
    a=5.3;
    Chaos(1)=z1;
    for j=1:max_it;
     Chaos(j+1)=cos(a*cos(Chaos(j))^(-1));
     if Chaos(j+1)<0;
         Chaos(j+1)=abs(Chaos(j+1));
     else Chaos(j+1)=Chaos(j+1);
     end
    end
Chaos_p(ChaosSystemName_p,:)=Chaos(2:max_it+1);
end

if ChaosSystemName_p==6;%Chebyshevmap
    z1=0.152;
    a=5.4;
    Chaos(1)=z1;
    for j=1:max_it;
     Chaos(j+1)=cos(a*cos(Chaos(j))^(-1));
     if Chaos(j+1)<0;
         Chaos(j+1)=abs(Chaos(j+1));
     else Chaos(j+1)=Chaos(j+1);
     end
    end
Chaos_p(ChaosSystemName_p,:)=Chaos(2:max_it+1);
end

if ChaosSystemName_p==7;%Chebyshevmap
    z1=0.152;
    a=5.5;
    Chaos(1)=z1;
    for j=1:max_it;
     Chaos(j+1)=cos(a*cos(Chaos(j))^(-1));
     if Chaos(j+1)<0;
         Chaos(j+1)=abs(Chaos(j+1));
     else Chaos(j+1)=Chaos(j+1);
     end
    end
Chaos_p(ChaosSystemName_p,:)=Chaos(2:max_it+1);
end

if ChaosSystemName_p==8;%Chebyshevmap
    z1=0.152;
    a=5.65;
    Chaos(1)=z1;
    for j=1:max_it;
     Chaos(j+1)=cos(a*cos(Chaos(j))^(-1));
     if Chaos(j+1)<0;
         Chaos(j+1)=abs(Chaos(j+1));
     else Chaos(j+1)=Chaos(j+1);
     end
    end
Chaos_p(ChaosSystemName_p,:)=Chaos(2:max_it+1);
end

if ChaosSystemName_p==9;%Chebyshevmap
    z1=0.152;
    a=5.75;
    Chaos(1)=z1;
    for j=1:max_it;
     Chaos(j+1)=cos(a*cos(Chaos(j))^(-1));
     if Chaos(j+1)<0;
         Chaos(j+1)=abs(Chaos(j+1));
     else Chaos(j+1)=Chaos(j+1);
     end
    end
Chaos_p(ChaosSystemName_p,:)=Chaos(2:max_it+1);
end

if ChaosSystemName_p==10;%Chebyshevmap
    z1=0.152;
    a=5.85;
    Chaos(1)=z1;
    for j=1:max_it;
     Chaos(j+1)=cos(a*cos(Chaos(j))^(-1));
     if Chaos(j+1)<0;
         Chaos(j+1)=abs(Chaos(j+1));
     else Chaos(j+1)=Chaos(j+1);
     end
    end
Chaos_p(ChaosSystemName_p,:)=Chaos(2:max_it+1);
end

if ChaosSystemName_p==11;%Chebyshevmap
    z1=0.152;
    a=5.9;
    Chaos(1)=z1;
    for j=1:max_it;
     Chaos(j+1)=cos(a*cos(Chaos(j))^(-1));
     if Chaos(j+1)<0;
         Chaos(j+1)=abs(Chaos(j+1));
     else Chaos(j+1)=Chaos(j+1);
     end
    end
Chaos_p(ChaosSystemName_p,:)=Chaos(2:max_it+1);
end

if ChaosSystemName_p==12;%Chebyshevmap
    z1=0.152;
    a=6;
    Chaos(1)=z1;
    for j=1:max_it;
     Chaos(j+1)=cos(a*cos(Chaos(j))^(-1));
     if Chaos(j+1)<0;
         Chaos(j+1)=abs(Chaos(j+1));
     else Chaos(j+1)=Chaos(j+1);
     end
    end
Chaos_p(ChaosSystemName_p,:)=Chaos(2:max_it+1);
end

% if ChaosSystemName_p==13;%Iterativemap
%     z1=0.152;
%     a=0.7;
%     Chaos(1)=z1;
%     for j=1:max_it;
%         Chaos(j+1)=sin(a*pi/Chaos(j));
%         if Chaos(j+1)<0
%             Chaos(j+1)=abs(Chaos(j+1));
%         end
%     end
% Chaos_p(ChaosSystemName_p,:)=Chaos(2:max_it+1);
% end
% 
% if ChaosSystemName_p==14;%Intermittency Map
%     z1=0.152;
%     Chaos(1)=z1;
%     for j=1:max_it;
%         if Chaos(j)<=0.7 && Chaos(j)>0
%             Chaos(j+1)=0.0001+Chaos(j)+(0.2999*(Chaos(j))^2/0.49);
%         elseif Chaos(j)>0.7 && Chaos(j)<1
%             Chaos(j+1)=(Chaos(j)-0.7)/0.3;
%         end
%     end
%     Chaos_p(ChaosSystemName_p,:)=Chaos(2:max_it+1);
% end
% 
% if ChaosSystemName_p==15;%Zaslavsky Map
%     Chaos(1)=0.1;
%     y(1)=0.1;
%     e=0.3;
%     r=5;
%     omega=100;
%     k=9;
%     a=1.885;
%     Chaos(1)=z1;
%     for i=2:max_it
%         Chaos(i)=mod(Chaos(i-1)+omega/(2*pi)+(a*omega)/(2*pi*r)*(1-exp(-r))*y(i-1)+(k/r)*(1-exp(-r))*cos(2*pi*Chaos(i-1)),1);
%         y(i)=exp(-r)*(y(i-1)+e*cos(2*pi*Chaos(i-1)));
%     end
%     Chaos_p(ChaosSystemName_p,:)=Chaos(2:max_it+1);
% end


% if ChaosSystemName_p==13;%uniform distribution
%     Chaos_p(ChaosSystemName_p,:)=rand(1,max_it);
% end
% 
% if ChaosSystemName_p==14;%normal random
%     Chaos_p(ChaosSystemName_p,:)=randn(1,max_it);
% end


end


    
    
    
 

